# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name MonadCatchIO-transformers

Name:           ghc-%{pkg_name}
Version:        0.3.1.3
Release:        1%{?dist}
Summary:        Exception handling with IO monad transformers

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-extensible-exceptions-devel
BuildRequires:  ghc-monads-tf-devel
BuildRequires:  ghc-transformers-devel
# End cabal-rpm deps

%description
Provides functions to throw and catch exceptions. Unlike the functions from
'Control.Exception', which work in 'IO', these work in any stack of monad
transformers (from the 'transformers' package) with 'IO' as the base monad.
You can extend this functionality to other monads, by creating an instance of
the 'MonadCatchIO' class. Warning: this library is deprecated. Use the
'exceptions' library instead, if possible.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library
development files.


%prep
%setup -q -n %{pkg_name}-%{version}

# fix dos encoding
sed -i 's/\r//' LICENSE


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files


%changelog
* Thu Jan 22 2015 Jens Petersen <petersen@redhat.com> - 0.3.1.3-1
- update to 0.3.1.3

* Mon Sep 01 2014 Jens Petersen <petersen@redhat.com> - 0.3.1.2-1
- update to 0.3.1.2
- refresh to cblrpm-0.8.11

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 07 2013 Jens Petersen <petersen@redhat.com> - 0.3.0.0-6
- update to new simplified Haskell Packaging Guidelines

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Nov 17 2012 Jens Petersen <petersen@redhat.com> - 0.3.0.0-4
- update with cabal-rpm

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 0.3.0.0-2
- change prof BRs to devel

* Mon Jun 11 2012 Jens Petersen <petersen@redhat.com> - 0.3.0.0-1
- update to 0.3.0.0

* Sun Mar 18 2012 Jens Petersen <petersen@redhat.com> - 0.2.2.3-4
- update to cabal2spec-0.25

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov  1 2011 Jens Petersen <petersen@redhat.com> - 0.2.2.3-2
- fix dos encoding of LICENSE file (#746415)

* Sat Oct 29 2011 Jens Petersen <petersen@redhat.com> - 0.2.2.3-1
- update to 0.2.2.3, relicensed upstream to BSD

* Sat Oct 15 2011 Jens Petersen <petersen@redhat.com> - 0.2.2.2-2
- update to cabal2spec-0.24.1
- fix license tag and add extensible-exceptions dep

* Sat Sep 04 2010 Ben Boeckel <mathstuf@gmail.com> - 0.2.2.0-1
- Initial package

* Sat Sep  4 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.2.2.0-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
